﻿@Code
    ViewBag.Title = "Select.Pdf for .NET - Convert Current Web Page to Pdf - MVC Razor Vb.Net"
    Layout = "~/Views/Shared/MasterPage.vbhtml"
End Code

@Code
Using (Html.BeginForm("Convert", "CurrentWebPageToPdf", FormMethod.Post))
End Code
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">Select.Pdf for .NET - Convert Current Web Page to Pdf - MVC Razor Vb.Net</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to use SelectPdf Html to Pdf Converter to convert the current web page to pdf, 
                    preserving the values entered in the page controls before hitting the 'Convert' button.
                </p>
                <p>
                    Sample text field:<br />
                    @Html.TextBox("TxtSampleText", IIf(Not String.IsNullOrEmpty(ViewData("SampleText")), ViewData("SampleText").ToString(), String.Empty), New With {.style = "width:90%;"})
                </p>
                <div class="col2">
                    Sample drop down:<br />
                    @Html.DropDownList("DropDownList1", DirectCast(ViewData("DropDownList1Items"), List(Of SelectListItem)))
                    <br />
                    <br />
                    Sample check box:<br />
                    @Html.CheckBox("ChkSampleCheckbox", Not String.IsNullOrEmpty(ViewData("SampleCheckbox")) And ViewData("SampleCheckbox").ToString() <> "false")
                    <br />
                    <br />
                </div>
                <div class="col2">
                    Sample text field:<br />
                    @Html.TextBox("TxtSampleText2", IIf(Not String.IsNullOrEmpty(ViewData("SampleText2")), ViewData("SampleText2").ToString(), String.Empty), New With {.style = "width:50px;"}) px<br />
                    <br />
                    Sample text field:<br />
                    @Html.TextBox("TxtSampleText3", IIf(Not String.IsNullOrEmpty(ViewData("SampleText3")), ViewData("SampleText3").ToString(), String.Empty), New With {.style = "width:50px;"}) px<br />
                    <br />
                </div>

                <div class="col-clear"></div>
                <p>
                    <input type="submit" name="BtnConvert" value="Create PDF" class="mybutton"/>
                </p>
            </div>
            <!-- .entry-content -->
        </article>
@Code
End Using
End Code