﻿@code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Graphic Pdf Elements - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Graphic Pdf Elements Sample for VB.NET/ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "graphic pdf elements, pdf library, sample code, html to pdf, pdf converter"
End code

@Using (Html.BeginForm("SubmitAction", "GraphicElements", FormMethod.Post))

    @<article class="post type-post status-publish format-standard hentry">
        <header class="entry-header">
            <h1 class="entry-title">SelectPdf for .NET - Graphic Pdf Elements - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <p>
                This sample shows how to create a new PDF document using SelectPdf, how to add several graphic elements (like line, rectangle, circle, ellipsis, etc) to it.
            </p>
            <p>
                <input type="submit" name="BtnConvert" value="Create PDF" class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>

End Using
    