﻿@code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Pdf Compression - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Pdf Compression Sample for VB.NET ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "pdf compression, pdf library, sample code, html to pdf, pdf converter"
End code

@Using (Html.BeginForm("SubmitAction", "PdfBookmarks", FormMethod.Post))

    @<article class="post type-post status-publish format-standard hentry">
        <header class="entry-header">
            <h1 class="entry-title">SelectPdf for .NET - Pdf Compression - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <p>
                SelectPdf Library for .NET offers the possibility to reduce the size of the generated pdf document using compression.
                <br />
                <br />
                This sample shows how to create a new PDF document using SelectPdf, how to add a text element to it and use compression to reduce the size of the generated pdf document.
                <br /><br />
                Compression Level:<br />
                <select name="DdlPdfCompressionLevel" >
                    <option value="NoCompression">NoCompression</option>
                    <option value="Normal">Normal</option>
                    <option value="Best">Best</option>
                </select>
                <br />
                <br />
            </p>
            <p>
                <input type="submit" name="BtnConvert" value="Create PDF" class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>

End Using
    