﻿@code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Pdf Portfolio - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Pdf Portfolio Sample for VB.NET ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "pdf portfolio, pdf library, sample code, html to pdf, pdf converter"
End code

@Using (Html.BeginForm("SubmitAction", "PdfPortfolio", FormMethod.Post))

    @<article class="post type-post status-publish format-standard hentry">
        <header class="entry-header">
            <h1 class="entry-title">SelectPdf for .NET - Pdf Portfolio - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <p>
                This sample shows how to use SelectPdf Library for .NET to create a PDF portfolio, add some embedded files to it and set some view settings.
                <br />
                <br />
                These are the files that will be added to the pdf portfolio:<br />
                <a href="~/files/doc.pdf" target="_blank">Test PDF document</a><br />
                <a href="~/files/document.html" target="_blank">Test HTML document</a><br />
                <a href="~/files/logo.png" target="_blank">Test image file</a><br />
                <br />
                Click on the "Create PDF" button below to see the result.
            </p>
            <p>
                <input type="submit" id="BtnCreatePdf" value="Create PDF" class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>
       
End Using
    