﻿<!DOCTYPE HTML>
<!--[if IE 7]>
<html class="ie ie7" lang="en-US">
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" lang="en-US">
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html lang="en-US">
<!--<![endif]-->
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width">
    <title>@ViewBag.Title</title>

    <!--[if lt IE 9]>
<script src="files/html5.js" type="text/javascript"></script>
<![endif]-->
    <link id="tfg_style-css" href="files/tfg_style.css" rel="stylesheet" type="text/css" media="all">
    <link id="twentytwelve-fonts-css" href="files/css.css" rel="stylesheet" type="text/css" media="all">
    <link id="twentytwelve-style-css" href="files/style.css" rel="stylesheet" type="text/css" media="all">
    <!--[if lt IE 9]>
<link rel='stylesheet' id='twentytwelve-ie-css'  href='files/ie.css?ver=20121010' type='text/css' media='all' />
<![endif]-->
    <script src="files/jquery.js" type="text/javascript"></script>
    <script src="files/jquery-migrate.min.js" type="text/javascript"></script>
    <link href="https://plus.google.com/+SelectPdfPage" rel="author">

    <style id="twentytwelve-header-css" type="text/css">
        .site-header h1 a,
        .site-header h2
        {
            color: #454545;
        }
    </style>

    <style id="custom-background-css" type="text/css">
        body.custom-background
        {
            background-color: #f9ffff;
        }
    </style>
</head>
<body class="single single-post single-format-standard custom-background custom-font-enabled single-author">
    <div class="hfeed site" id="page">
        <header class="site-header" id="masthead"
            role="banner">
            <div class="float-left">
                <a title="Select.Pdf for .NET Library Samples" href="~/" runat="server"><img width="319" height="101" class="header-image" alt="Select.Pdf for .NET Library Samples" src="files/logo.png"></a>
            </div>
            <nav class="main-navigation" id="site-navigation" role="navigation">
                <button class="menu-toggle">Menu</button>
                <a title="Skip to content" class="assistive-text"
                    href="#content">Skip to content</a>
                <div class="menu-menu-1-container">
                    <ul class="nav-menu" id="menu-menu-1">
                        <li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-home menu-item-8" id="menu-item-1"><a href="http://selectpdf.com" runat="server">SelectPdf.com</a></li>
                    </ul>
                </div>
            </nav>
            <!-- #site-navigation -->
        </header>
        <!-- #masthead -->

        <div class="wrapper" id="main">
            <div class="site-content" id="primary">
                <div id="content" role="main">
                    @RenderBody()
                </div>
                <!-- #content -->
            </div>
            <!-- #primary -->
            <div class="widget-area" id="secondary" role="complementary">
                <aside class="widget widget_recent_entries">
                    <h3 class="widget-title">Samples</h3>
                    <ul>
                        <li><a href="HtmlToPdf" title="Html To Pdf with SelectPdf Library for ASP.NET MVC">Convert Url To Pdf</a></li>
                        <li><a href="CurrentWebPageToPdf" title="Convert Current Web Page To Pdf with SelectPdf Library for ASP.NET MVC">Convert Current Web Page to Pdf</a></li>
                    </ul>
                </aside>

            </div>
            <!-- #secondary -->
        </div>
        <!-- #main .wrapper -->
        <footer id="colophon" role="contentinfo">
            <div class="site-info">
                &copy; SelectPdf - <a title="Contact us" href="http://selectpdf.com/contact">Contact us</a> | <a title="Blog" href="http://selectpdf.com/blog">Blog</a> | <a href="http://selectpdf.com/pdf-library-for-net/">PDF Library for .NET</a>
            </div>
            <!-- .site-info -->
        </footer>
        <!-- #colophon -->
    </div>
    <!-- #page -->
    <script src="files/navigation.js" type="text/javascript"></script>
</body>
</html>
