﻿@Code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Generate Table of Contents with Html to Pdf Converter - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Generate Table of Contents with Html to Pdf Converter Sample for VB.NET ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "table of contents, toc, pdf, pdf library, sample code, html to pdf, pdf converter"
End Code

@Using (Html.BeginForm("SubmitAction", "TableOfContents", FormMethod.Post))
    @<article Class="post type-post status-publish format-standard hentry">
        <header Class="entry-header">
            <h1 Class="entry-title">SelectPdf for .NET - Generate Table of Contents with Html to Pdf Converter - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div Class="entry-content">
            <p>
                This sample shows how the html To pdf converter can generate page numbers For a table Of contents Using SelectPdf Pdf Library For .NET.
                The table Of contents (TOC) must already exist at the top Of the web page And the items from the table Of contents must link To the appropriate sections from the document
                (Like in the test document below). The TOC elements must also have the following CSS classes Or ID styles
                <br />
                <br />
                - all TOC elements (both titles from the actual table of contents, but also the link targets - where the user goes when clicking on a TOC link)
                must have a specific CSS Class ("toc" In our example).
                <br />
                - all TOC titles must have similar IDs: TOC_Title{0} (<i>TOC_Title1</i> to <i>TOC_Title13</i> in our example).
                <br />
                - all TOC targets (document content) must have similar IDs: TOC_Target{0} (<i>TOC_Target1</i> to <i>TOC_Target13</i> in our example).
                <br />
                <br />
                All these elements locations are retrieved during the conversion To PDF And those locations are used To Get the content page numbers To display them In the
                table of contents. The font for the page numbers can be specified in code. Also, that style of the line that links the TOC titles with the page numbers.
                <br />
                <br />
                <a href = "@ViewData("ViewTxtUrl")" target="_blank">Test document</a>
            </p>
            <p>
                Url : <br />
                <input type = "text" value="@ViewData("ViewTxtUrl")" name="TxtUrl" style="width:90%" />
                <br />
                <br />
                <input type = "submit" name="BtnConvert" value="Create PDF" Class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>
End Using


